Mark a thread as read or unread for the authenticated member.
Updates only the authenticated member's read status. Marking unread preserves an existing last-read timestamp and new-reply count. Marking read advances the timestamp and clears the explicit unread marker. A later visit or successful reply marks the thread as read again.
Updates only the authenticated member's read status. Marking unread preserves an existing last-read timestamp and new-reply count. Marking read advances the timestamp and clears the explicit unread marker. A later visit or successful reply marks the thread as read again.
storyden-session<token>thread_mark*stringThread unique and permanent identifier.
xid-prefixed-kebab-case-stringapplication/json- body
status*string"read""unread"The member's updated read status.
application/json- response
Information about the read status of a thread for the requesting authenticated user. If the user is not authenticated or they have not read the thread before, this will not be included in the Thread object.
last_read_at*stringWhen requested by an authenticated account, shows the last time they last read the thread at.
date-timereplies_since*integerWhen requested by an authenticated account, shows the number of new replies since they last read the thread.
marked_unread_at?stringWhen the member explicitly marked this thread unread. Absent when there is no explicit unread marker. This does not reset last_read_at or replies_since. For a previously untracked thread, last_read_at is initialised to the same timestamp as this marker.
date-timecurl -X PATCH 'https://example.com/api/threads/string/read-status' \ -H 'Content-Type: application/json' \ -d '{ "status": "read"}'{ "last_read_at": "2019-08-24T14:15:22Z", "replies_since": 0, "marked_unread_at": "2019-08-24T14:15:22Z"}